=== SVG Flags - Beautiful Scalable Flags For All Countries!  ===
Contributors: dgwyer, wpgoplugins, gwycon
Donate link: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6R94JSPJE9358
Tags: svg, flag, country, scalable, world
Requires at least: 5.0
Tested up to: 5.5
Stable tag: 0.9.5

Add SVG flags of the world anywhere on your site that scale to look great at any size!

== Description ==

SVG Flags of the world allows you to add high quality beautiful flags to your WordPress site in seconds. Display one or more flags at any scale without loss of quality and with a fixed aspect ratio so they always look great! Supported aspect ratios are 4:3 (default) and 1:1 (square).

Create SVG flags visually, directly inside the Gutenberg block editor and preview them in realtime without having to leave the editor window. No more having to remember shortcode names and long lists of shortcode attributes.

The plugin also includes shortcodes if you prefer to use these instead. If your site is using the classic WordPress editor then you have no choice but to use shortcodes. To add SVG flags to your content it's as simple as inserting the <code>[svg-flags]</code> shortcode into a post or page. See the main plugin settings page for full information on all the attributes available.

We hope you find this plugin useful. If you have a moment please consider <a href="https://wordpress.org/support/view/plugin-reviews/svg-flags-lite"><strong>rating</strong></a> it to show your support. It's very much appreciated and helps spread the word.

Also, why not take a look at our <a href="https://www.wpgoplugins.com" target="_blank">other plugins</a>. We're continually developing great solutions for WordPress.

== Installation ==

1. Via the WordPress admin go to Plugins => Add New.
2. Enter 'SVG Flags' (without quotes) in the textbox and click the 'Search Plugins' button.
3. In the list of relevant Plugins click the 'Install' link for SVG Flags on the right hand side of the page.
4. Click the 'Install Now' button on the popup page.
5. Click 'Activate Plugin' to finish installation.
6. You'll be redirected to the plugin welcome page upon activation which gives basic usage instructions and other information to get you started.

== Frequently Asked Questions ==

= Where can I see all the available SVG flag blocks, shortcodes, and attributes? =

Visit the <a target="_blank" href="https://wpgoplugins.com/document/svg-flags-documentation/">plugin documentation page</a> to see available SVG flags blocks, shortcodes and attributes, plus related options.

= Is there a live demo available for the plugin? =

Yes! You can see live examples of SVG flags available <a target="_blank" href="https://demo.wpgothemes.com/flexr/svg-flags-demo/">here</a>.

= Is there a way to remember all shortcode attributes? =

If you use the SVG flag editor blocks then you won't need to remember any shortcodes at all as you can add flags to your page content 100% visually. No need to remember which shortcodes are available. You will also be able to see a live preview of the flag in the editor when using a block, which you can't do with shortcodes.

= Where can I get the country code for each flag? =

The plugin uses the Alpha-2 code system to identify individual countries. You can look up the the code for any specific country <a href="https://www.iban.com/country-codes" target="_blank">here</a>.

== Screenshots ==

1. SVG flags rendering in the Gutenberg block-based editor.
2. SVG Aspect Ratio.
3. Headings.
4. Div, Span, and Paragraph elements.
5. Flag Sizes.
6. Tables.

== Changelog ==

= 0.9.5, JAN 29, 2021 =

* Updated 3rd party libraries.
* Minor bug fixes and UI updates.

= 0.9.3, SEP 7, 2020 =

* New: Added a new [svg-flag-heading] shortcode.
* New: Added a block as an alternative to the [svg-flag-heading] shortcode.
* New: Added a block as an alternative to the [svg-flag-image] shortcode.
* Fixed: New features counter now working correctly.

= 0.9.2, SEP 7, 2020 =

* Patched bug in new features counter.

= 0.9.1, AUG 28, 2020 =

* Updated: Refactored code.

= 0.9.0, MAR 11, 2020 =

* New: Added new [svg-flag-image] shortcode.
* New: Attributes added to the [svg-flag] shortcode: size, size_unit.
* New: Attributes added to the [svg-flag] shortcode that were previously ONLY available in pro: caption, random, inline.
* New: Added new editor block which is a direct replacement to the [svg-flag] shortcode.
* Updated: Deployment script.

= 0.8, DEC 02, 2020 =

* Updated settings.

= 0.7, DEC 30, 2019 =

* Updated settings page.

= 0.6, DEC 24, 2019 =

* Maintenance release.

= 0.5, DEC 23, 2019 =

* Fixed 'square' shortcode attribute.
* Most of the code refactored.
* Compatible with WordPress 5.3.

= 0.4, MAY 21, 2019 =

* Minor bug fix.

= 0.3, MAY 21, 2019 =

* Added new <code>[svg-flags]</code> shortcode as a recent update to the Gutenberg block editor seems to strip out using the SVG flag HTML directly. Use the new shortcode to guarantee the flag will always display in the block editor and on the front end.

= 0.2, APRIL 26, 2019 =

* Flag SVG's updated to latest version (3.3).
* SVG flags now work in the WordPress (5.0+) block editor.

= 0.1, OCTOBER 25, 2017 =

* Initial plugin release!

